package intrinsic.mx.rpc.events;

public class SchemaLoadEvent extends intrinsic.mx.rpc.events.XMLLoadEvent {

	/** Accessors */

	/** Variables */
	public intrinsic.mx.rpc.xml.Schema schema;
	public intrinsic.XML xml;
	public String location;

	/** Constants */
	public static final String LOAD = "load";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public SchemaLoadEvent() {
}

public SchemaLoadEvent(String arg0) {
}

public SchemaLoadEvent(String arg0, boolean arg1) {
}

public SchemaLoadEvent(String arg0, boolean arg1, boolean arg2) {
}

public SchemaLoadEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.rpc.xml.Schema arg3) {
}

public SchemaLoadEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.rpc.xml.Schema arg3, String arg4) {
}


/** Static Methods */
public static native intrinsic.mx.rpc.events.SchemaLoadEvent createEvent(intrinsic.mx.rpc.xml.Schema arg0);
public static native intrinsic.mx.rpc.events.SchemaLoadEvent createEvent(intrinsic.mx.rpc.xml.Schema arg0, String arg1);

/** Methods */
public native Object clone();
public native String toString();

}
